/*	AMUtilities.h - common AppMaker library routine interface	*/
/*	Copyright  1991, Bowers Development Corporation.	*/

#pragma once

#include <CPane.h>

CLASS	CEditText;
CLASS	CButton;

/*----------*/
typedef struct {	
	short			textStyle;
	short			textSize;
	Str255			fontName;
} StylesRec, *StylesP, **StylesHdl;

typedef struct {
	short			textJust;
	StylesRec		editStyles;
} EditStylesRec, *EditStylesP, **EditStylesHdl;

/*	All control panes share this common template structure.	*/
typedef struct {
	PaneTemp		sPaneTemp;
	long			clickCmd;
	short			procID;
	short			minValue;
	short			maxValue;
	short			curValue;
	Str255			title;
	StylesRec		typeStyle;
} AMCtlPaneTemp, *AMCtlPaneTempP, **AMCtlPaneTempHdl;

/*----------*/
void	AMSetFontSizeStyle	(CEditText		*textObject,
							 EditStylesP	p);
void	AMSetTextID			(CEditText		*textObject,
							 short			textID);
void	AMSetupTextEnvirons	(CPane			*thePane,
							 StylesP		p);
short	AMGetFontNum		(Str255			fontName);
void	IAMControlPane		(CButton		*controlObject,
							 CView			*anEnclosure,
							 CBureaucrat	*aSupervisor,
						     Ptr			viewData);

