/******************************************************************************
 CAMButton.c
		
	
	Like the Button class that it overrides, except that font, size and
	style can be set from a control pane (CtlP) resource.

	SUPERCLASS = CButton
	
	Copyright  1991 Bowers Development Corporation. All rights reserved.

 ******************************************************************************/

#include "CAMButton.h"
#include "AMUtilities.h"

/******************************************************************************
 IViewTemp
 
 	Initialize a Button's ControlPane using a template
 
******************************************************************************/

void CAMButton::IViewTemp			 (CView			*anEnclosure,
									  CBureaucrat	*aSupervisor,
								      Ptr			viewData)
{
	IAMControlPane (this, anEnclosure, aSupervisor, viewData);

} /* IViewTemp */

/* CAMButton */

