/******************************************************************************
 CAMIconPane.h

		Interface for AMIconPane class
		
	SUPERCLASS = CIconPane
	
	Copyright  1991 Bowers Development Corporation. All rights reserved.
	

 ******************************************************************************/

#pragma once

#include <CIconPane.h>

/*----------*/
class CAMIconPane : public CIconPane
{	
public:
	void	IViewTemp		(CView			*anEnclosure,
						 	 CBureaucrat	*aSupervisor,
							 Ptr			viewData);		// is override

	void	Draw			(Rect			*area);			// is override
	
	void	SetRadio		(Boolean		onOrOff);

	void 	DoClick			(Point			hitPt,
							 short			modifierKeys,
							 long			when);			// is override

protected:
	Boolean			isOn;

};

/* Change protocol for CAMIconPane */

enum
{
			/* The icon radio has turned on. The info parameter */
			/* is a pointer (Boolean*) to the new value */
	radioChanged = bureaucratLastChange + 1,
	
	iconLastChange = radioChanged
	
};

