/******************************************************************************
 CAMIntegerText.c

							The AMIntegerText Class
							
	Like the IntegerText class that it overrides, except that font, size and
	style can be set from an 'AITx' resource.
		
	SUPERCLASS = CIntegerText
	
	Copyright  1991 Bowers Development Corporation. All rights reserved.

 ******************************************************************************/

#include "CAMIntegerText.h"

/******************************************************************************
 IViewTemp

		Initialize an AMIntegerText object using a template
 ******************************************************************************/

void	CAMIntegerText::IViewTemp	(CView			*anEnclosure,
									 CBureaucrat	*aSupervisor,
									 Ptr			viewData)
{
	register 		AMIntegerTextTempP	p;
	
	p = (AMIntegerTextTempP) viewData;	/* Initialize superclass			*/
	inherited::IViewTemp (anEnclosure, aSupervisor, (Ptr) &p->sIntegerTextTemp);
	AMSetFontSizeStyle (this, &p->typeStyle);

}	/* IViewTemp */
		
/* CAMIntegerText */