/******************************************************************************
 CAMPopupPane.h

		Interface for CAMStdPopupPane.c
		
		Copyright  1991 Bowers Development Corporation. All rights reserved.
		
 ******************************************************************************/

#pragma once

#include <CStdPopupPane.h>
#include "AMUtilities.h"

/*--------*/
class CAMPopupPane : public CStdPopupPane {
public:
	void	IViewTemp			(CView			*anEnclosure,
						 		 CBureaucrat	*aSupervisor,
								 Ptr			viewData);		// is override
	void	MakePopupMenu		(short			menuID, 
								 Boolean		fAutoSelect,
								 Boolean		fMultiSelect);	// is override
	void	CalcDimensions		(void);							// is override
	void	NewMenuSelection	(short			itemSelected);	// is override
	void	PlaySound			(short			itemNr);

protected:
	StylesP		saveTypeStyleP;

};	/* CAMPopupPane */

typedef struct {
	StdPopupTemp	sStdPopupTemp;
	StylesRec		typeStyle;
} AMPopupTemp, *AMPopupTempP, **AMPopupTempHdl;
