/******************************************************************************
 CAMRadioControl.c
		
	
	Like the RadioControl class that it overrides, except that font, size and
	style can be set from a control pane (CtlP) resource.

	SUPERCLASS = CRadioControl
	
	Copyright  1991 Bowers Development Corporation. All rights reserved.

 ******************************************************************************/

#include "CAMRadioControl.h"
#include "AMUtilities.h"
	
/******************************************************************************
 IViewTemp
 
 	Initialize a RadioControl's ControlPane using a template
 
******************************************************************************/

void CAMRadioControl::IViewTemp			 (CView			*anEnclosure,
										  CBureaucrat	*aSupervisor,
									      Ptr			viewData)
{
	IAMControlPane (this, anEnclosure, aSupervisor, viewData);

} /* IViewTemp */

/* CAMRadioControl */
