/******************************************************************************
 CAMStyleText.c

							The AMStyleText Class
							
	Like the StyleText class that it overrides, except that font, size and
	style can be set from an 'AETx' resource.
		
	SUPERCLASS = CStyleText
	
	Copyright  1991 Bowers Development Corporation. All rights reserved.

 ******************************************************************************/

#include "CAMStyleText.h"

/******************************************************************************
 IViewTemp

		Initialize an AMStyledText object using a template
 ******************************************************************************/

void	CAMStyleText::IViewTemp 	 (CView			*anEnclosure,
								  CBureaucrat	*aSupervisor,
								  Ptr			viewData)
{
	register 		AMStyleTextTempP		p;
	
	p = (AMStyleTextTempP) viewData;	/* Initialize superclass			*/
	inherited::IViewTemp (anEnclosure, aSupervisor, (Ptr) &p->sStyleTextTemp);
	AMSetFontSizeStyle (this, &p->typeStyle);
	AMSetTextID (this, p->TEXTid);		/* go get the TEXT resource, if there is one. */	

}	/* IViewTemp */
		
/* CAMStyleText */
