/******************************************************************************
 CAMStyleText.h

		Interface for CAMStyleText.c
		
		Copyright  1991 Bowers Development Corporation. All rights reserved.
		
 ******************************************************************************/
 
#pragma once

#include <CStyleText.h>
#include "AMUtilities.h"

class CAMStyleText : public CStyleText {

public:
	void	IViewTemp		(CView			*anEnclosure,
						 	 CBureaucrat	*aSupervisor,
							 Ptr			viewData);		// is override
}; /* CAMStyleText */

typedef tAbstractTextTemp tStyleTextTemp;

typedef struct	{						/* AMStyleText template */
	tStyleTextTemp		sStyleTextTemp;
	short				TEXTid;
	EditStylesRec		typeStyle;
} AMStyleTextTemp, *AMStyleTextTempP, **AMStyleTextTempH;

