/******************************************************************************
 CAMTable.h

		Interface for CAMTable.c
		
		Copyright  1991 Bowers Development Corporation. All rights reserved.
		
 ******************************************************************************/

#pragma once

#include <CTable.h>
#include "AMUtilities.h"

/*--------*/
class CAMTable : public CTable {
public:
	void	IViewTemp		(CView			*anEnclosure,
						 	 CBureaucrat	*aSupervisor,
							 Ptr			viewData);		// is override
	void	CreateTextEnvironment	(void);					// is override

	Boolean HasSelection	(void);
	Boolean	GetChoice		(short			*choice);
	void	SetChoice		(short			choice);

protected:
	EditStylesP		theTypeStyleP;
	
};	/* CAMTable */

/* Template structure */

typedef struct {
	tTableTemp		sTableTemp;
	EditStylesRec	typeStyle;
} AMTableTemp, *AMTableTempP, **AMTableTempHdl;
