/******************************************************************************
 CAMArrayPane.h

		Interface for CAMArrayPane.c
		
		Copyright  1991 Bowers Development Corporation. All rights reserved.
		
 ******************************************************************************/

#pragma once

#include <CArrayPane.h>
#include "AMUtilities.h"

/*--------*/
class CAMArrayPane : public CArrayPane {
public:
	void	IViewTemp		(CView			*anEnclosure,
						 	 CBureaucrat	*aSupervisor,
							 Ptr			viewData);		// is override
	void	CreateTextEnvironment	(void);					// is override

	Boolean HasSelection	(void);
	Boolean	GetChoice		(short			*choice);
	void	SetChoice		(short			choice);

protected:
	EditStylesP		theTypeStyleP;
	
};	/* CAMArrayPane */

/* Template structure */

typedef struct {
	tTableTemp		sTableTemp;
	EditStylesRec	typeStyle;
} AMArrayPaneTemp, *AMArrayPaneTempP, **AMArrayPaneTempHdl;
