/******************************************************************************
 CAMCheckBox.c
		
	
	Like the CheckBox class that it overrides, except that font, size and
	style can be set from a control pane (CtlP) resource.

	SUPERCLASS = CCheckBox
	
	Copyright  1991 Bowers Development Corporation. All rights reserved.

 ******************************************************************************/

#include "CAMCheckBox.h"
#include "AMUtilities.h"
	
/******************************************************************************
 IViewTemp
 
 	Initialize a CheckBox's ControlPane using a template
 
******************************************************************************/

void CAMCheckBox::IViewTemp				 (CView			*anEnclosure,
										  CBureaucrat	*aSupervisor,
									      Ptr			viewData)
{
	IAMControlPane (this, anEnclosure, aSupervisor, viewData);

} /* IViewTemp */

/* CAMCheckBox */

