/******************************************************************************
 CAMDialogDirector.h

		Interface for the AMDialogDirector Class
		
	SUPERCLASS = CDialogDirector

 ******************************************************************************/
 
#pragma once

#include <CDialogDirector.h>				/* Interface for its superclass	*/

class CAMDialogDirector : public CDialogDirector {	
public:
	virtual void IAMDialogDirector	(short			dialogID,	
									 CDirectorOwner	*aSupervisor);
	void	BeginDialog				(void);						// is override
	void	ActivateWind			(CWindow	*theWindow);	// is override
	void	CloseWind				(CWindow	*theWindow);	// is override
	void	DoCommand				(long		theCommand);	// is override

protected:
	Boolean		hasBegun;	/* BeginDialog has been called */

}; /* CAMDialogDirector */

