/******************************************************************************
 CAMDialogText.c

							The AMDialogText Class
							
	Like the DialogText class that it overrides, except that font, size and
	style can be set when read in from an 'ADTx' resource.
		
	SUPERCLASS = CDialogText
	
	Copyright  1991 Bowers Development Corporation. All rights reserved.

 ******************************************************************************/

#include "CAMDialogText.h"

/******************************************************************************
 IViewTemp

		Initialize an AMDialogText object using a template
 ******************************************************************************/

void CAMDialogText::IViewTemp 	(CView			*anEnclosure,
								 CBureaucrat	*aSupervisor,
							     Ptr			viewData)
{
	register 		AMDialogTextTempP	p;
	
	p = (AMDialogTextTempP) viewData;	/* Initialize superclass			*/
	inherited::IViewTemp (anEnclosure, aSupervisor, (Ptr) &p->sDialogTextTemp);
	AMSetFontSizeStyle (this, &p->typeStyle);
	AMSetTextID (this, p->TEXTid);		/* go get the TEXT resource, if there is one. */	

}	/* IViewTemp */
		
/* CAMDialogText */