/******************************************************************************
 CAMEditText.c

							The AMEditText Class
							
	Like the EditText class that it overrides, except that font, size and
	style can be set from an 'AETx' resource.
		
	SUPERCLASS = CEditText
	
	Copyright  1991 Bowers Development Corporation. All rights reserved.

 ******************************************************************************/

#include "CAMEditText.h"

/******************************************************************************
 IViewTemp

		Initialize an AMStyledText object using a template
 ******************************************************************************/

void	CAMEditText::IViewTemp 	 (CView			*anEnclosure,
								  CBureaucrat	*aSupervisor,
								  Ptr			viewData)
{
	register 		AMEditTextTempP		p;
	
	p = (AMEditTextTempP) viewData;	/* Initialize superclass			*/
	inherited::IViewTemp (anEnclosure, aSupervisor, (Ptr) &p->sEditTextTemp);
	AMSetFontSizeStyle (this, &p->typeStyle);
	AMSetTextID (this, p->TEXTid);		/* go get the TEXT resource, if there is one. */	

}	/* IViewTemp */
		
/* CAMEditText */
