/******************************************************************************
 CAMEditText.h

		Interface for CAMEditText.c
		
		Copyright  1991 Bowers Development Corporation. All rights reserved.
		
 ******************************************************************************/
 
#pragma once

#include <CEditText.h>
#include "AMUtilities.h"

class CAMEditText : public CEditText {

public:
	void	IViewTemp				(CView			*anEnclosure,
						 			 CBureaucrat	*aSupervisor,
									 Ptr			viewData);		// is override
};	/* CAMEditText */

typedef tAbstractTextTemp tEditTextTemp;

typedef struct	{						/* AMEditText template */
	tEditTextTemp		sEditTextTemp;
	short				TEXTid;
	EditStylesRec		typeStyle;
} AMEditTextTemp, *AMEditTextTempP, **AMEditTextTempH;

