/******************************************************************************
 CAMStaticText.c

							The AMStaticText Class
							
	Replaces CStaticText, and gives font/size/style/justification control
	like CAMEditText.
	
	SUPERCLASS = CAMEditText
	
	Copyright  1991 Bowers Development Corporation. All rights reserved.

 ******************************************************************************/

#include "CAMStaticText.h"

/******************************************************************************
 IViewTemp

		Initialize an AMStaticText object using a template
 ******************************************************************************/

void	CAMStaticText::IViewTemp (CView			*anEnclosure,
								  CBureaucrat	*aSupervisor,
								  Ptr			viewData)
{
	register 		AMStaticTextTempP	p;
	
	p = (AMStaticTextTempP) viewData;	/* Initialize superclass			*/
	inherited::IViewTemp (anEnclosure, aSupervisor, (Ptr) &p->sEditTextTemp);

	editable = false;
}	/* IViewTemp */

/* CAMStaticText */