/******************************************************************************
 CSlider.h

	Interface for Slider.c
	
	Copyright  1991 Bowers Development Corporation. All rights reserved.
		
 ******************************************************************************/
 
#pragma once

#include "CAMButton.h"

CLASS CSlider;
typedef void (*ThumbFuncType) (CSlider *theSlider, short delta);

class CSlider : public CAMButton {

protected:
	ThumbFuncType	theThumbFunc;

public:	
	void		SetThumbFunc	(ThumbFuncType	aThumbFunc);
	void		DoThumbDragged	(short			delta);		// is override
	
};	/* CSlider */
